%global pkg_name        DBIx-Class-Schema-Loader
%global pkg_version     0.04004
%global rpm_pkg_version 0.04004
%global rpm_pkg_release 1.n0i.6

Summary:       Dynamic definition of a DBIx::Class::Schema
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BL/BLBLACK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::Accessor::Fast) >= 0.30
Requires:      perl(Class::Accessor::Fast) >= 0.30
BuildRequires: perl(Class::C3) >= 0.18
Requires:      perl(Class::C3) >= 0.18
BuildRequires: perl(Class::Data::Accessor) >= 0.03
Requires:      perl(Class::Data::Accessor) >= 0.03
BuildRequires: perl(DBI) >= 1.56
Requires:      perl(DBI) >= 1.56
BuildRequires: perl(DBIx::Class) >= 0.07006
Requires:      perl(DBIx::Class) >= 0.07006
BuildRequires: perl(Data::Dump) >= 1.06
Requires:      perl(Data::Dump) >= 1.06
BuildRequires: perl(Digest::MD5) >= 2.36
Requires:      perl(Digest::MD5) >= 2.36
BuildRequires: perl(File::Spec)
BuildRequires: perl(Lingua::EN::Inflect::Number) >= 1.1
Requires:      perl(Lingua::EN::Inflect::Number) >= 1.1
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(UNIVERSAL::require) >= 0.11
Requires:      perl(UNIVERSAL::require) >= 0.11
%global perl_filter_req 'perl\\((Class::C3|DBIx::Class|Data::Dump|Digest::MD5|Lingua::EN::Inflect::Number|UNIVERSAL::require)\\)$'

%if %{!?_without_test:1}0
# basic test reqs
BuildRequires: perl(DBD::SQLite) >= 1.12
# features (various DBMSs)... nope, skip it.
%endif




%description
DBIx::Class::Schema::Loader automates the definition of a DBIx::Class::Schema
by scanning table schemas and setting up columns and primary keys.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Nov 16 2007 Marius Feraru <altblue@n0i.net> - 0.04004-1.n0i.6
- version 0.04004
- spec update (new reb00t build tools)
- BR updates

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.04002-1.n0i.5
- version 0.04002

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.03011-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Tue Jun 06 2006 Marius Feraru <altblue@n0i.net> - 0.03003-1.n0i.3
- version 0.03003

* Sun May 21 2006 Marius Feraru <altblue@n0i.net> - 0.02999_08-1.n0i.2
- version 0.02999_08

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 0.02007-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.0
- rebuild on perl 5.8.8
